diff --git a/include/ieee1516-2010/RTI/RTIambassador.h b/include/ieee1516-2010/RTI/RTIambassador.h
index 18fb5d0a..c9fe20ad 100644
--- a/include/ieee1516-2010/RTI/RTIambassador.h
+++ b/include/ieee1516-2010/RTI/RTIambassador.h
@@ -38,7 +38,7 @@ namespace rti1516e
    {
    protected:
       RTIambassador ()
-          throw ();
+          noexcept;
 
    public:
       virtual ~RTIambassador ();
@@ -47,272 +47,102 @@ namespace rti1516e
       virtual void connect (
          FederateAmbassador & federateAmbassador,
          CallbackModel theCallbackModel,
-         std::wstring const & localSettingsDesignator=L"")
-         throw (
-            ConnectionFailed,
-            InvalidLocalSettingsDesignator,
-            UnsupportedCallbackModel,
-            AlreadyConnected,
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         std::wstring const & localSettingsDesignator=L"") = 0;
 
       // 4.3
-      virtual void disconnect ()
-         throw (
-            FederateIsExecutionMember,
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+      virtual void disconnect () = 0;
 
       // 4.5
       virtual void createFederationExecution (
          std::wstring const & federationExecutionName,
          std::wstring const & fomModule,
-         std::wstring const & logicalTimeImplementationName = L"")
-         throw (
-            CouldNotCreateLogicalTimeFactory,
-            InconsistentFDD,
-            ErrorReadingFDD,
-            CouldNotOpenFDD,
-            FederationExecutionAlreadyExists,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & logicalTimeImplementationName = L"") = 0;
 
       virtual void createFederationExecution (
          std::wstring const & federationExecutionName,
          std::vector<std::wstring> const & fomModules,
-         std::wstring const & logicalTimeImplementationName = L"")
-         throw (
-            CouldNotCreateLogicalTimeFactory,
-            InconsistentFDD,
-            ErrorReadingFDD,
-            CouldNotOpenFDD,
-            FederationExecutionAlreadyExists,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & logicalTimeImplementationName = L"") = 0;
 
       virtual void createFederationExecutionWithMIM (
          std::wstring const & federationExecutionName,
          std::vector<std::wstring> const & fomModules,
          std::wstring const & mimModule,
-         std::wstring const & logicalTimeImplementationName = L"")
-         throw (
-            CouldNotCreateLogicalTimeFactory,
-            InconsistentFDD,
-            ErrorReadingFDD,
-            CouldNotOpenFDD,
-            DesignatorIsHLAstandardMIM,
-            ErrorReadingMIM,
-            CouldNotOpenMIM,
-            FederationExecutionAlreadyExists,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & logicalTimeImplementationName = L"") = 0;
 
       // 4.6
       virtual void destroyFederationExecution (
-         std::wstring const & federationExecutionName)
-         throw (
-            FederatesCurrentlyJoined,
-            FederationExecutionDoesNotExist,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & federationExecutionName) = 0;
 
       // 4.7
-      virtual void listFederationExecutions ()
-         throw (
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void listFederationExecutions () = 0;
 
       // 4.9
       virtual FederateHandle joinFederationExecution (
          std::wstring const & federateType,
          std::wstring const & federationExecutionName,
-         std::vector<std::wstring> const & additionalFomModules=std::vector<std::wstring>())
-         throw (
-            CouldNotCreateLogicalTimeFactory,
-            FederationExecutionDoesNotExist,
-            InconsistentFDD,
-            ErrorReadingFDD,
-            CouldNotOpenFDD,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateAlreadyExecutionMember,
-            NotConnected,
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         std::vector<std::wstring> const & additionalFomModules=std::vector<std::wstring>()) = 0;
 
       virtual FederateHandle joinFederationExecution (
          std::wstring const & federateName,
          std::wstring const & federateType,
          std::wstring const & federationExecutionName,
-         std::vector<std::wstring> const & additionalFomModules=std::vector<std::wstring>())
-         throw (
-            CouldNotCreateLogicalTimeFactory,
-            FederateNameAlreadyInUse,
-            FederationExecutionDoesNotExist,
-         InconsistentFDD,
-            ErrorReadingFDD,
-            CouldNotOpenFDD,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateAlreadyExecutionMember,
-            NotConnected,
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         std::vector<std::wstring> const & additionalFomModules=std::vector<std::wstring>()) = 0;
 
       // 4.10
       virtual void resignFederationExecution (
-         ResignAction resignAction)
-         throw (
-            InvalidResignAction,
-            OwnershipAcquisitionPending,
-            FederateOwnsAttributes,
-            FederateNotExecutionMember,
-            NotConnected,
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         ResignAction resignAction) = 0;
 
       // 4.11
       virtual void registerFederationSynchronizationPoint (
          std::wstring const & label,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual void registerFederationSynchronizationPoint (
          std::wstring const & label,
          VariableLengthData const & theUserSuppliedTag,
-         FederateHandleSet const & synchronizationSet)
-         throw (
-            InvalidFederateHandle,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         FederateHandleSet const & synchronizationSet)  = 0;
 
       // 4.14
       virtual void synchronizationPointAchieved (
          std::wstring const & label,
-         bool successfully = true)
-         throw (
-            SynchronizationPointLabelNotAnnounced,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         bool successfully = true) = 0;
 
       // 4.16
       virtual void requestFederationSave (
-         std::wstring const & label)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & label) = 0;
 
       virtual void requestFederationSave (
          std::wstring const & label,
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            FederateUnableToUseTime,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 4.18
-      virtual void federateSaveBegun ()
-         throw (
-            SaveNotInitiated,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void federateSaveBegun () = 0;
 
       // 4.19
-      virtual void federateSaveComplete ()
-         throw (
-            FederateHasNotBegunSave,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
-
-      virtual void federateSaveNotComplete ()
-         throw (
-            FederateHasNotBegunSave,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void federateSaveComplete () = 0;
+
+      virtual void federateSaveNotComplete () = 0;
 
       // 4.21
-      virtual void abortFederationSave ()
-         throw (
-            SaveNotInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void abortFederationSave () = 0;
 
       // 4.22
-      virtual void queryFederationSaveStatus ()
-         throw (
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void queryFederationSaveStatus () = 0;
 
       // 4.24
       virtual void requestFederationRestore (
-         std::wstring const & label)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & label) = 0;
 
       // 4.28
-      virtual void federateRestoreComplete ()
-         throw (
-            RestoreNotRequested,
-            SaveInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
-
-      virtual void federateRestoreNotComplete ()
-         throw (
-            RestoreNotRequested,
-            SaveInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void federateRestoreComplete () = 0;
+
+      virtual void federateRestoreNotComplete () = 0;
 
       // 4.30
-      virtual void abortFederationRestore ()
-         throw (
-            RestoreNotInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void abortFederationRestore () = 0;
 
       // 4.31
-      virtual void queryFederationRestoreStatus ()
-         throw (
-            SaveInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void queryFederationRestoreStatus () = 0;
 
       /////////////////////////////////////
       // Declaration Management Services //
@@ -321,125 +151,47 @@ namespace rti1516e
       // 5.2
       virtual void publishObjectClassAttributes (
          ObjectClassHandle theClass,
-         AttributeHandleSet const & attributeList)
-         throw (
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & attributeList) = 0;
 
       // 5.3
       virtual void unpublishObjectClass (
-         ObjectClassHandle theClass)
-         throw (
-            OwnershipAcquisitionPending,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectClassHandle theClass) = 0;
 
       virtual void unpublishObjectClassAttributes (
          ObjectClassHandle theClass,
-         AttributeHandleSet const & attributeList)
-         throw (
-            OwnershipAcquisitionPending,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & attributeList) = 0;
 
       // 5.4
       virtual void publishInteractionClass (
-         InteractionClassHandle theInteraction)
-         throw (
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theInteraction) = 0;
 
       // 5.5
       virtual void unpublishInteractionClass (
-         InteractionClassHandle theInteraction)
-         throw (
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theInteraction) = 0;
 
       // 5.6
       virtual void subscribeObjectClassAttributes (
          ObjectClassHandle theClass,
          AttributeHandleSet const & attributeList,
          bool active = true,
-         std::wstring const & updateRateDesignator = L"")
-         throw (
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            InvalidUpdateRateDesignator,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & updateRateDesignator = L"") = 0;
 
       // 5.7
       virtual void unsubscribeObjectClass (
-         ObjectClassHandle theClass)
-         throw (
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectClassHandle theClass) = 0;
 
       virtual void unsubscribeObjectClassAttributes (
          ObjectClassHandle theClass,
-         AttributeHandleSet const & attributeList)
-         throw (
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & attributeList) = 0;
 
       // 5.8
       virtual void subscribeInteractionClass (
          InteractionClassHandle theClass,
-         bool active = true)
-         throw (
-            FederateServiceInvocationsAreBeingReportedViaMOM,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         bool active = true) = 0;
 
       // 5.9
       virtual void unsubscribeInteractionClass (
-         InteractionClassHandle theClass)
-         throw (
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theClass) = 0;
 
       ////////////////////////////////
       // Object Management Services //
@@ -447,260 +199,97 @@ namespace rti1516e
 
       // 6.2
       virtual void reserveObjectInstanceName (
-         std::wstring const & theObjectInstanceName)
-         throw (
-            IllegalName,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       // 6.4
       virtual void releaseObjectInstanceName (
-         std::wstring const & theObjectInstanceName)
-         throw (
-            ObjectInstanceNameNotReserved,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       // 6.5
       virtual void reserveMultipleObjectInstanceName (
-         std::set<std::wstring> const & theObjectInstanceNames)
-         throw (
-            IllegalName,
-            NameSetWasEmpty,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::set<std::wstring> const & theObjectInstanceNames) = 0;
 
       // 6.7
       virtual void releaseMultipleObjectInstanceName (
-         std::set<std::wstring> const & theObjectInstanceNames)
-         throw (
-            ObjectInstanceNameNotReserved,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::set<std::wstring> const & theObjectInstanceNames) = 0;
 
       // 6.8
       virtual ObjectInstanceHandle registerObjectInstance (
-         ObjectClassHandle theClass)
-         throw (
-            ObjectClassNotPublished,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectClassHandle theClass) = 0;
 
       virtual ObjectInstanceHandle registerObjectInstance (
          ObjectClassHandle theClass,
-         std::wstring const & theObjectInstanceName)
-         throw (
-            ObjectInstanceNameInUse,
-            ObjectInstanceNameNotReserved,
-            ObjectClassNotPublished,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       // 6.10
       virtual void updateAttributeValues (
          ObjectInstanceHandle theObject,
          AttributeHandleValueMap const & theAttributeValues,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual MessageRetractionHandle updateAttributeValues (
          ObjectInstanceHandle theObject,
          AttributeHandleValueMap const & theAttributeValues,
          VariableLengthData const & theUserSuppliedTag,
-         LogicalTime const & theTime)
-         throw (
-            InvalidLogicalTime,
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 6.12
       virtual void sendInteraction (
          InteractionClassHandle theInteraction,
          ParameterHandleValueMap const & theParameterValues,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            InteractionClassNotPublished,
-            InteractionParameterNotDefined,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual MessageRetractionHandle sendInteraction (
          InteractionClassHandle theInteraction,
          ParameterHandleValueMap const & theParameterValues,
          VariableLengthData const & theUserSuppliedTag,
-         LogicalTime const & theTime)
-         throw (
-            InvalidLogicalTime,
-            InteractionClassNotPublished,
-            InteractionParameterNotDefined,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 6.14
       virtual void deleteObjectInstance (
          ObjectInstanceHandle theObject,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            DeletePrivilegeNotHeld,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual MessageRetractionHandle deleteObjectInstance (
          ObjectInstanceHandle theObject,
          VariableLengthData const & theUserSuppliedTag,
-         LogicalTime  const & theTime)
-         throw (
-            InvalidLogicalTime,
-            DeletePrivilegeNotHeld,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime  const & theTime) = 0;
 
       // 6.16
       virtual void localDeleteObjectInstance (
-         ObjectInstanceHandle theObject)
-         throw (
-            OwnershipAcquisitionPending,
-            FederateOwnsAttributes,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectInstanceHandle theObject) = 0;
 
       // 6.19
       virtual void requestAttributeValueUpdate (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual void requestAttributeValueUpdate (
          ObjectClassHandle theClass,
          AttributeHandleSet const & theAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 6.23
       virtual void requestAttributeTransportationTypeChange (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         TransportationType theType)
-         throw (
-            AttributeAlreadyBeingChanged,
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            InvalidTransportationType,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         TransportationType theType) = 0;
 
       // 6.25
       virtual void queryAttributeTransportationType (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       // 6.27
       virtual void requestInteractionTransportationTypeChange (
          InteractionClassHandle theClass,
-         TransportationType theType)
-         throw (
-            InteractionClassAlreadyBeingChanged,
-            InteractionClassNotPublished,
-            InteractionClassNotDefined,
-            InvalidTransportationType,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         TransportationType theType) = 0;
 
       // 6.29
       virtual void queryInteractionTransportationType (
          FederateHandle theFederate,
-         InteractionClassHandle theInteraction)
-         throw (
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theInteraction) = 0;
 
 
       ///////////////////////////////////
@@ -710,168 +299,61 @@ namespace rti1516e
       // 7.2
       virtual void unconditionalAttributeOwnershipDivestiture (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.3
       virtual void negotiatedAttributeOwnershipDivestiture (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            AttributeAlreadyBeingDivested,
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.6
       virtual void confirmDivestiture (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & confirmedAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            NoAcquisitionPending,
-            AttributeDivestitureWasNotRequested,
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.8
       virtual void attributeOwnershipAcquisition (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & desiredAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            AttributeNotPublished,
-            ObjectClassNotPublished,
-            FederateOwnsAttributes,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.9
       virtual void attributeOwnershipAcquisitionIfAvailable (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & desiredAttributes)
-         throw (
-            AttributeAlreadyBeingAcquired,
-            AttributeNotPublished,
-            ObjectClassNotPublished,
-            FederateOwnsAttributes,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & desiredAttributes) = 0;
 
       // 7.12
       virtual void attributeOwnershipReleaseDenied (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.13
       virtual void attributeOwnershipDivestitureIfWanted (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         AttributeHandleSet & theDivestedAttributes) // filled by RTI
-         throw (
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet & theDivestedAttributes) = 0;// filled by RTI
 
       // 7.14
       virtual void cancelNegotiatedAttributeOwnershipDivestiture (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            AttributeDivestitureWasNotRequested,
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.15
       virtual void cancelAttributeOwnershipAcquisition (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            AttributeAcquisitionWasNotRequested,
-            AttributeAlreadyOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.17
       virtual void queryAttributeOwnership (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       // 7.19
       virtual bool isAttributeOwnedByFederate (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       //////////////////////////////
       // Time Management Services //
